### Method

# Gtk FontChooserset_font

deprecated: 4.10

#### Declaration [src]

    void
    gtk_font_chooser_set_font (
      GtkFontChooser* fontchooser,
      const char* fontname
    )

#### Description [src]

Sets the currently-selected font.

Deprecated since: 4.10

Use `GtkFontDialog` and `GtkFontDialogButton` instead.

Sets property | `Gtk.FontChooser:font`

#### Parameters

`fontname`

  Type: `const char*`

  A font name like “Helvetica 12” or “Times Bold 18”

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.